### AUTOUPDATE-OFF: 8
%define pkgver %(echo %version | tr _ -)
Name:          jack
Epoch:         1
Version:       1.9.22
Release:       1mamba
Summary:       A low-latency audio server that can connect a number of different applications to an audio device
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://jackaudio.org
Source:        https://github.com/jackaudio/jack2.git/v%{pkgver}/jack2-%{pkgver}.tar.bz2
#Source:        https://dl.dropboxusercontent.com/u/28869550/jack-%{version}.tar.bz2
#http://jackaudio.org/downloads/jack-%{version}.tar.bz2
Source1:       %{name}-asound.conf
Source2:       jackdbus2qjackctl
Patch0:        %{name}-1.9.6-suspend_resume.patch
Patch1:        %{name}-1.9.6-libcelt-0.8.1.patch
Patch2:        %{name}-1.9.7-trivial_build_fix.patch
Patch3:        %{name}-1.9.7-documentation_build_error.patch
Patch4:        %{name}-1.9.8-signal-device-error-via-dbus.patch
Patch5:        jack-1.9.9.5-doxygen.patch
Patch6:        jack-1.9.9.5-jackdbus2qjackctl.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libcelt-devel
BuildRequires: libdb53-devel
BuildRequires: libdbus-devel
BuildRequires: libexpat-devel
BuildRequires: libffado-devel
BuildRequires: libgcc
BuildRequires: libncurses-devel
BuildRequires: libopus-devel
BuildRequires: libsamplerate-devel
BuildRequires: libstdc++6-devel
BuildRequires: libsystemd-devel
## AUTOBUILDREQ-END
#BuildRequires: libfreebob-devel
#BuildRequires: ffado
BuildRequires: pkg-config
BuildRequires: libcap-devel >= 1.10
BuildRequires: libflac-devel >= 1.1.2
BuildRequires: doxygen
BuildRequires: libopus-devel >= 1.0.3-2mamba
Requires:      libjack == %{?epoch:%epoch:}%{version}-%{release}
#Requires:      ffado
Obsoletes:     oss2jack < 1:1.9.21
Requires:      libalsa-plugins

%description
JACK is a low-latency audio server, written for POSIX conformant operating systems such as GNU/Linux and Apple's OS X.
It can connect a number of different applications to an audio device, as well as allowing them to share audio between themselves.
Its clients can run in their own processes (ie. as normal applications), or can they can run within the JACK server (ie. as a "plugin").
JACK was designed from the ground up for professional audio work, and its design focuses on two key areas: synchronous execution of all clients, and low latency operation.

%package -n libjack
Group:         System/Tools
Summary:       Jack audio connection kit tools

%description -n libjack
JACK is a low-latency audio server, written for POSIX conformant operating systems such as GNU/Linux and Apple's OS X.
It can connect a number of different applications to an audio device, as well as allowing them to share audio between themselves.
Its clients can run in their own processes (ie. as normal applications), or can they can run within the JACK server (ie. as a "plugin").
JACK was designed from the ground up for professional audio work, and its design focuses on two key areas: synchronous execution of all clients, and low latency operation.

%package -n libjack-devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      libjack == %{?epoch:%epoch:}%{version}-%{release}

%description -n libjack-devel
JACK is a low-latency audio server, written for POSIX conformant operating systems such as GNU/Linux and Apple's OS X.
It can connect a number of different applications to an audio device, as well as allowing them to share audio between themselves.
Its clients can run in their own processes (ie. as normal applications), or can they can run within the JACK server (ie. as a "plugin").
JACK was designed from the ground up for professional audio work, and its design focuses on two key areas: synchronous execution of all clients, and low latency operation.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n jack2-%{pkgver}
#%patch0 -p4
#%patch2 -p1
#%patch3 -p1
%patch4 -p1
#%patch5 -p1
%patch6 -p1

#for file in ChangeLog README TODO; do
#  sed 's|\r||' $file > $file.tmp
#  iconv -f ISO-8859-1 -t UTF8 $file.tmp > $file.tmp2
#  touch -r $file $file.tmp2
#  mv -f $file.tmp2 $file
#done

touch no_date_footer.html

%build
LINKFLAGS="-lncurses" \
./waf configure \
   --prefix=%{_prefix} \
   --libdir=%{_libdir} \
%ifarch x86_64
   --libdir32=%{_prefix}/lib \
%endif
   --alsa \
   --doxygen \
   --dbus \
   --firewire \
   --classic

#   --freebob \

./waf build


%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

## 1.9.10: fix documentation installation
#mkdir build/default
#ln -s ../../html build/default/html

./waf install --destdir=%{buildroot}

chmod 755 %{buildroot}%{_libdir}/jack/*.so %{buildroot}%{_libdir}/libjack*.so.*.*.*

#mv %{buildroot}%{_datadir}/jack-audio-connection-kit/reference .

install -D -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/asound.conf.jack
install -D -m0755 %{SOURCE2} %{buildroot}%{_bindir}/jackdbus2qjackctl

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post
/sbin/ldconfig
/usr/sbin/alternatives --install \
   %{_sysconfdir}/asound.conf asound.conf %{_sysconfdir}/asound.conf.jack 10
exit 0

%preun
/sbin/ldconfig
# erase
if [ $1 -eq 0 ]; then
   /usr/sbin/update-alternatives --remove asound.conf %{_sysconfdir}/asound.conf.jack
fi
exit 0

%posttrans
/usr/sbin/alternatives --install \
   %{_sysconfdir}/asound.conf asound.conf %{_sysconfdir}/asound.conf.jack 10
exit 0

%files
%defattr(-,root,root)
%config %{_sysconfdir}/asound.conf.jack
#%{_bindir}/alsa_in
#%{_bindir}/alsa_out
%{_bindir}/jack_*
%{_bindir}/jackd
%{_bindir}/jackdbus
%{_bindir}/jackdbus2qjackctl
%{_datadir}/dbus-1/services/org.jackaudio.service
%{_mandir}/man1/jackd.1*

%files -n libjack
%defattr(-,root,root)
%{_libdir}/libjack.so.*
%{_libdir}/libjacknet.so.*
%{_libdir}/libjackserver.so.*
%dir %{_libdir}/jack
%{_libdir}/jack/*.so

%files -n libjack-devel
%defattr(-,root,root)
%dir %{_includedir}/jack
%{_includedir}/jack/*.h
%{_libdir}/libjack.so
%{_libdir}/libjacknet.so
%{_libdir}/libjackserver.so
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/jack-audio-connection-kit
%dir %{_datadir}/jack-audio-connection-kit/reference
%dir %{_datadir}/jack-audio-connection-kit/reference/html
%{_datadir}/jack-audio-connection-kit/reference/html/*
#%doc reference/*
#%doc README TODO ChangeLog

%changelog
* Fri Feb 03 2023 Automatic Build System <autodist@mambasoft.it> 1.9.22-1mamba
- automatic version update by autodist

* Sun Apr 17 2022 Automatic Build System <autodist@mambasoft.it> 1.9.21-1mamba
- automatic version update by autodist

* Sat Jan 22 2022 Automatic Build System <autodist@mambasoft.it> 1.9.20-1mamba
- automatic version update by autodist

* Fri Jul 16 2021 Automatic Build System <autodist@mambasoft.it> 1.9.19-1mamba
- automatic version update by autodist

* Thu Apr 15 2021 Automatic Build System <autodist@mambasoft.it> 1.9.18-1mamba
- automatic version update by autodist

* Thu Feb 04 2021 Automatic Build System <autodist@mambasoft.it> 1.9.17-1mamba
- automatic version update by autodist

* Sat Dec 12 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.16-1mamba
- update to 1.9.16

* Thu Jan 09 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.14-1mamba
- update to 1.9.14

* Wed Aug 16 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.11_RC1-2mamba
- build both jackd and jackdbus

* Mon Aug 14 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.11_RC1-1mamba
- update to 1.9.11_RC1

* Mon Aug 14 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.11-1mamba
- update to 1.9.11
- rebuilt as jackd, not jackdbus to achieve real time with systemd

* Thu Sep 18 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.10-1mamba
- update to 1.9.10

* Thu Jul 25 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.9.5-2mamba
- add wrapper script jackdbus2qjackctl to launch qjackctl via dbus if installed
- built with new libopus requirement

* Thu Jun 20 2013 Automatic Build System <autodist@mambasoft.it> 1.9.9.5-1mamba
- automatic version update by autodist

* Fri Oct 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.8-3mamba
- added requirement for ffado

* Tue Oct 16 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.8-2mamba
- move documentation to -devel package

* Wed Jun 20 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.8-1mamba
- update to 1.9.8

* Sat Jul 02 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.7-1mamba
- update to 1.9.7
- asound.conf.jack: replace alsa_pcm: with system: and 'card 0' with 'card 1' in ctl.mixer0

* Sat Mar 26 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.6-6mamba
- removed requirement for alsaplayer-output-jack

* Thu Mar 24 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.6-5mamba
- added asound.conf for jack as an alternative

* Tue Dec 14 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.6-4mamba
- merge from devel-gil
- rebuilt with system libfreebob & new libcelt
- build documentation

* Mon Dec 13 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.6-3mamba
- added upstream patch to fix resume after suspend (http://trac.jackaudio.org/changeset/4088)

* Sun Dec 12 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.6-2mamba
- fixed libreadline detection

* Sat Dec 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.6-1mamba
- update to 1.9.6

* Sun Dec 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.118.0-1mamba
- update to 0.118.0
- obsolete oss2jack

* Sun Jan 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.116.1-4mamba
- enable and disable entries moved to openmamba menu to prevent confusion with qjackctl

* Tue Dec 30 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.116.1-3mamba
- reset to default sysconfig configuration to disable server startup

* Mon Dec 22 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.116.1-2mamba
- sysconfig/sound: disable startup by default
- asound.conf: remove from this package; it is now provided by alsa-utils

* Sun Dec 21 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.116.1-1mamba
- update to 0.116.1
- jackstart.user: removed -m -u and other minor confiuration changes
- asound.conf: rewritten for use of alsa redirection to jack
- sysconfig/sound: disabled oss2jack by default

* Sun Oct 12 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.109.2-5mamba
- added xprofile startup script

* Thu Sep 18 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.109.2-4mamba
- added support for promiscuous mode by adding a initscript
- added support to 2.6.25+ kernels (enable realtime for root in promiscuous mode)

* Wed Sep 17 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.109.2-3mamba
- resynced with version 0.103.0

* Tue Feb 12 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.109.2-2mamba
- jackstart.user: wait for alsaplayer processes before starting

* Tue Feb 12 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.109.2-2mamba
- added patch to libjack that fixes an infinite loop

* Sun Feb 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.109.2-1mamba
- update to 0.109.2

* Wed Nov 14 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.103.0-8mamba
- asound.conf: disable by default use of jack slave (problematic on some hardware)

* Wed Nov 07 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.103.0-7mamba
- added requirement for libalsa-plugins

* Wed Nov 07 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.103.0-6mamba
- asound.conf: enable default use of jack slave

* Thu Oct 25 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.103.0-5mamba
- added default asound.conf for ALSA <-> jack plug

* Sat Sep 15 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.103.0-4mamba
- set server to 44,1khz by default

* Sat Jul 21 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.103.0-3mamba
- removed enable-capabilities causing excessive CPU load when using audacity with jack via portaudio

* Thu May 31 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.103.0-2mamba
- added jack-enable and jack-disable desktop menu entries

* Sun May 13 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.103.0-1mamba
- update to 0.103.0
- jackstart.user: create kde directory and files to disable arts if not existing

* Sat Mar 10 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.102.20-6qilnx
- removed jackplayer; added requirement for alsaplayer-output-jack

* Sat Feb 24 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.102.20-5qilnx
- change userdir name to avoid a conflict with register files

* Tue Jan 30 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.102.20-4qilnx
- rebuilt

* Thu Jan 04 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.102.20-3qilnx
- jackstart.user: launch jackd with -S switch to enable 16-bit samples

* Wed Oct 11 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.102.20-2qilnx
- add more options in /etc/sysconfig/sound
- re-enable tmp dir on /dev/shm

* Mon Oct 09 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.102.20-1qilnx
- update to version 0.102.20 by autospec

* Fri Oct 06 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.101.1-7qilnx
- add default tmp dir and set it to /dev/shm

* Wed Oct 04 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.101.1-6qilnx
- rebuild disabling mmx, altivec and other platform specific options
- jackstart.user: use schedtool to launch oss2jack

* Sat Jul 08 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.101.1-5qilnx
- added --enable-preemption-check configure option
- removed --enable-sse and --enable-mmx configure options

* Sun May 21 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.101.1-4qilnx
- add build requirement for alsa

* Sat May 20 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.101.1-3qilnx
- jackstart.user: fixed an error when setting NPERIODS value
- sysconfig/sound: set PERIOD=512 and NPERIODS=4 as default
- jack-configure: this devices in order

* Tue May 16 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.101.1-2qilnx
- use a more conservative default NPERIODS value (was 256, use default [1024])

* Tue Apr 11 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.101.1-1qilnx
- update to version 0.101.1 by autospec
- jack-configure fix: install with execution permission

* Thu Mar 09 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.100.9-5qilnx
- add more configuration variables in /etc/sysconfig/sound
- start arts by default with realtime and network transparency support

* Thu Feb 23 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.100.9-4qilnx
- fixed permission on script jack-configure

* Thu Feb 23 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.100.9-2qilnx
- added configuration script jack-configure

* Wed Jan 04 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.100.9-1qilnx
- update to version 0.100.9 by autospec

* Wed Dec 14 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.100.0-7qilnx
- jackstart.user: start jack leaving memory unlocked
- jackstart.user: add support for timidity
- disable oss support

* Wed Dec 14 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.100.0-6qilnx
- jackstart.user: another syntax fix

* Mon Nov 07 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.100.0-5qilnx
- jackstart.user: fix a syntax error
- jackstart.user: check jackd startup watching /dev/shm/jack-0

* Sun Nov 06 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.100.0-4qilnx
- jackstart.user: add support for user arts configuration

* Sat Nov 05 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.100.0-3qilnx
- apply a fix to jackstart.user because jackd starts asynchronously

* Sat Nov 05 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.100.0-2qilnx
- added user oriented start and stop script with oss2jack support
- mmx and sse support enabled again

* Wed Oct 26 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.100.0-1qilnx
- update to version 0.100.0 by autospec

* Sun Feb 20 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.99.0-2qilnx

* Thu Jan 27 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.99.0-2qilnx
- added missing build requirement
- some fixes in HTML documentation

* Wed Oct 13 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.99.0-1qilnx
- package created by autospec
